package PrologProductions;

import PrologParser.LineToParse;

/**
 * a Dot is literally "."; nothing to remember
 */
public class Dot extends Token {
    
    public Dot() {
    }
    
    public Dot(LineToParse l) {
        super(l);
    }
    
    @Override
    public boolean canParse() {
        return toBeParsed.parseChar('.');
    }
    
    @Override
    public void parse() {
        toBeParsed.parseSkip(canParse(),"dot");
    }
}
