package PrologProductions;

import PrologParser.LineToParse;

public class Name extends Token {

    public Name() {
    }
    
    public Name(LineToParse l) {
        super(l);
    }
    
    public boolean canParse() {
        int i;
        if (!toBeParsed.isLowercaseLetter(toBeParsed.peek())) {
            return false;
        }
        for (i = 1; i < toBeParsed.toParse.length(); i++) {
            if (!toBeParsed.isLetterOrDigitOrUnderScore(toBeParsed.toParse.charAt(i))) {
                break;
            }
        }
        return toBeParsed.returnResult(i);
    }

    @Override
    public void parse() {
        toBeParsed.parseStep(canParse(), "name");
    }

}
