package PrologProductions;

import PrologParser.LineToParse;

/**
 * SingleQuotedString is '...'
 */
public class SingleQuotedString extends Token {

    public SingleQuotedString() {
    }
    
    public SingleQuotedString(LineToParse l) {
        super(l);
    }

    @Override
    public boolean canParse() {
        int i;
        char c = toBeParsed.peek();
        if (!toBeParsed.isSingleQuote(c)) {
            return false;
        }
        for (i = 1; i < toBeParsed.toParse.length(); i++) {
            c = toBeParsed.toParse.charAt(i);
            if (toBeParsed.isSingleQuote(c)) {
                break;
            }
        }
        return toBeParsed.isSingleQuote(c) ? toBeParsed.returnResult(i + 1) : false;
    }

    @Override
    public void parse() {
        toBeParsed.parseStep(canParse(), "single quoted string");
    }

}
