/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package PrologDB;

import java.io.PrintStream;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author dsb
 */
public class CSVTableTest {

    public CSVTableTest() {
    }

    @Test
    public void getNameTests() {
        String result;
        // TODO review the generated test code and remove the default call to fail.
        result = Table.getCSVName("abc.csv");
        if (!result.equals("abc")) {
            fail("abc.csv test failed");
        }
        result = Table.getCSVName("xy/zw/def.csv");
        if (!result.equals("def")) {
            fail("xy/zw/def.csv test failed");
        }
        result = Table.getCSVName("xy\\zw\\qrs.tuv.csv");
        if (!result.equals("qrs.tuv")) {
            fail("xy\\zw\\qrs.tuv.csv test failed");
        }

    }

    @Test
    public void schemaTests() {
        try {
            PrintStream ps1 = new PrintStream("out.pl");
            Table table = Table.readTable("TestData/CSV/MixinPass6.csv");
            table.print(ps1);
            ps1.close();
            RegTest.Utility.validate("out.pl", "Correct/CSV/MixinPass6.pl", true);

            table.writeTable("out.csv");
        } catch (Exception e) {
            fail(e.getMessage());
        }
        RegTest.Utility.validate("out.csv", "TestData/CSV/MixinPass6.csv", false);
    }

}
