package MDELite6;

/**
 * global constants used in MDELite6
 */
public class Constants {
    static {
        HomePath.setHomePath();
    }
    
    /**
     * name of error file where non-conformance errors are posted
     */
    public final static String errorFile   = "error.txt";
    
    /**
     * name of conformance error file where metamodel constraint errors are posted
     */
    public final static String conformFile = "conform.txt";
    
    /** 
     * name of the default vm2t output file
     */
    public final static String vm2tFile    = "vm2toutput.txt";
    
    /**
     * this is the location of the MDELite6 jar, set by HomePath.setHomePath
     */
    public static String homepath;
  
    
}
