package MDL;

import PrologDB.DBSchema;

/**
 * reads a schema or ooschema and reports errors
 */

public class ReadSC {

     /**
     * standard marquee for an MDL program
     */
    static void marquee() {
        String className = ReadSC.class.getName();
        System.err.format("Usage: %s <X>.<sch>.pl\n",className);
        System.err.format("       <sch> is 'ooschema' or 'schema'\n");
        System.err.format("       reads schema x and reports errors\n");
        System.exit(1);
    }

    /* reads database -- outputs errors */
    /**
     * reads schema from any ooschema or schema file and throws Error if
     * errors are found.
     * 
     * @param args -- X.S.pl, where S = ooschema or schema
     */
    public static void main(String... args) {
        if (args.length != 1) {
            marquee();
        }
        DBSchema.anyschemaCheck(args[0]);
        DBSchema.readSchema(args[0]);
    }
}