package MDL;

import vm2t.Main;

/**
 * MDL program to invoke Velocity
 */
public class Vm2t {

    /**
     * standard marquee for an MDL program
     */
    public static void marquee() {
        String className = Vm2t.class.getName();
        System.err.format("Usage: %s database-file template-file [output-file] [-cg ContextGeneratorClass]\n", className);
        System.err.format("       if output-file is unspecified, output is directed to file vm2toutput.txt\n");
        System.exit(1);
    }
    
    /**
     * invokes velocity with parameters database-file template-file [output-file' [-cg ContextGneratorClass]
     * if output-file is unspecified, output is directed to vm2toutput.txt
     * @param args - database-file template-file [output-file[ [-cg ContextGneratorClass]
     */
    public static void main(String... args) {
        Main.main(args);
    }
    
}
