package PrologProductions;

import PrologParser.LineToParse;

public class DoubleQuotedString extends Token {

    DoubleQuotedString() {
    }
    
    DoubleQuotedString(LineToParse l) {
        super(l);
    }

    @Override
    public boolean canParse() {
        int i;
        char c = toBeParsed.peek();

        if (!toBeParsed.isDoubleQuote(c)) {
            return false;
        }
        for (i = 1; i < toBeParsed.toParse.length(); i++) {
            c = toBeParsed.toParse.charAt(i);
            if (toBeParsed.isDoubleQuote(c)) {
                break;
            }
        }
        return toBeParsed.isDoubleQuote(c) ? toBeParsed.returnResult(i + 1) : false;
    }

    @Override
    public void parse() {
        toBeParsed.parseStep(canParse(), "double quoted string");
    }

}
