package PrologProductions;

import PrologParser.LineToParse;

/**
 * a NameList is Name(,Name)+
 */
public class NameList extends Token { // comma separated names
    
    public NameList() {
    }
    
    public NameList(LineToParse x) {
        super(x);
    }

    @Override
    public boolean canParse() {
        toBeParsed.AssertThereIsMoreToParse();
        char c = toBeParsed.peek();
        return  (toBeParsed.isLetter(c));
    }

    @Override
    public void parse() {
        while (true) {
            toBeParsed.AssertThereIsMoreToParse();

            toBeParsed.parseStep( new Name(toBeParsed).canParse(), "name");

            if (toBeParsed.peek() == ',') {
                toBeParsed.parseSkip(new Comma(toBeParsed).canParse(), "comma");
            } else {
                break;
            }
        }
    }
}
