package VioletClassParser;

import java.util.ArrayList;

class ClassNode extends ClassInterface {

    private final ArrayList<String> attributes;
    protected String parentId = "";

    public ClassNode(String id, String classType) {
        super(id, classType);

        attributes = new ArrayList<>();
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public void setAttributes(String attribute) {
        this.attributes.add(attribute);
    }

    public ArrayList<String> getAttributes() {
        return attributes;
    }

    @Override
    public String toString() {
        String str = super.toString();

        str += ", Attributes:";
        for (String attribute : attributes) {
            str += " " + attribute;
        }

        return str;
    }
}
