/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package ClassVioletParser;

import MDELite6.Constants;
import RegTest.Utility;
import java.io.File;
import org.junit.Test;

/**
 *
 * @author dsb
 */
public class DirectParserTest {
    
    @Test
    public void Main1() {
        doit("noLinks");
    }
    
    @Test
    public void Main2() {
        doit("wLinks");
    }
   
    @Test
    public void Main3() {
        doit("violet");
    }

    @Test
    public void Main4() {
        doit("test1");
    }
    

    public void doit(String fileName) {
        Utility.init();
        String inputXML = "TestData/v2vpl/" + fileName + ".class.violet";
        String outputDB = fileName + ".vpl.pl";
        String[] args = {inputXML, outputDB };
        try {
            VioletClassParser.Main.main(args); // always works, as Violet always produces a 
                             // sensible file to itself
//            MDL.Conform.main(outputDB,"libpl/vpl.conform.pl");
        } catch (RuntimeException e) {
           File c = new File(Constants.conformFile);
           if (c.length()!= 0) {
              Utility.validate( Constants.conformFile,   
                    "Correct/v2vpl/" + fileName + "CCC.txt", false);
           } else {
            Utility.validate(Constants.errorFile,
                    "Correct/v2vpl/" + fileName + ".txt", false);
           }
            return;
        }
        Utility.validate(outputDB,
                "Correct/v2vpl/" + fileName + ".vpl.pl", false);
    }
    
}
