/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package MDL;

import RegTest.Utility;
import org.junit.Test;
import MDELite6.Constants;
import java.io.*;

/**
 *
 * @author don
 */
public class ReadDBTest {

    public ReadDBTest() {
    }

    @Test
    public void c() {
        doit("c.complex");
    }
    
    @Test
    public void dogOwner() {
        doit("dogOwner.do");
    }
    
    @Test
    public void enterprise() {
        doit("enterprise.starTrek");
    }
    
    @Test
    public void nolinks() {
        doit("noLinks.violetdb");
    }
    
    @Test
    public void bad1() {
        doit("bad1.starTrek");
    }
    
    @Test
    public void bad2() {
        doit("bad2.starTrek");
    }

    @Test
    public void bad3() {
        doit("bad3.starTrek");
    }
   
    @Test
    public void bad4() {
        doit("bad4.starTrek");
    }
    
    @Test
    public void bad5() {
        doit("bad5.starTrek");
    }
    
    
    public void doit(String name) {
        Utility.init();
        Utility.redirectStdErr(Constants.errorFile);
        String db = "TestData/DB/" + name + ".pl";
        try {
            ReadDB.main(db);
            File ef = new File(Constants.errorFile);
            if (ef.exists() && ef.length() != 0) {
                ef.delete();
            }
        } catch (Exception e) {
            try {
                PrintStream ps = new PrintStream(Constants.errorFile);
                ps.println(e.getMessage());
                ps.close();
                Utility.validate(Constants.errorFile, "Correct/DB/" + name + "ERR.txt", false);
                File ef = new File(Constants.errorFile);
                ef.delete();
            } catch (Exception ex) {
                assert (false);
            }
        }
    }
}
